
//////////////////////////////////////////////////
//  Oracle Data Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  SmartQuery Editor
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I Odac.inc}

unit SmartQueryEditor;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DASQLComponentEditor, DASQLFrame, DAParamsFrame, DAMacrosFrame, DASPCallFrame, OraSPCallFrame,
  Ora, OraError, Db, DBAccess, {$IFNDEF FPC}MemDS{$ELSE}MemDataSet{$ENDIF},
  OraParamsFrame, CRFrame, DAQueryEditor, OraQueryEditor, SmartQueryOptionsFrame;

type
  TSmartQueryEditorForm = class(TOraQueryEditorForm)
  protected
    function OptionsFrameClass: TCRFrameClass; override;
  end;

implementation

{$IFNDEF FPC}
{$R SmartQueryEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TSmartQueryEditorForm }

function TSmartQueryEditorForm.OptionsFrameClass: TCRFrameClass;
begin
  Result := TSmartQueryOptionsFrame;
end;

end.
